
From: viro@parcelfarce.linux.theplanet.co.uk

misc trivial cleanups



 arch/ia64/sn/io/hwgfs/ramfs.c      |    3 +--
 arch/m68k/atari/stram.c            |    6 ------
 arch/ppc/platforms/pmac_setup.c    |    2 +-
 arch/um/drivers/ubd_kern.c         |    3 ---
 drivers/base/map.c                 |    5 -----
 drivers/block/DAC960.h             |   32 --------------------------------
 drivers/char/drm/drmP.h            |    4 ----
 drivers/char/rocket.c              |   30 +++++++-----------------------
 drivers/char/tipar.c               |    1 -
 drivers/char/tty_io.c              |   14 +++++---------
 drivers/ieee1394/ieee1394_types.h  |    4 ----
 drivers/md/dm-ioctl-v1.c           |    2 +-
 drivers/md/dm-ioctl-v4.c           |    2 +-
 drivers/md/linear.c                |    1 -
 drivers/md/md.c                    |    1 -
 drivers/md/multipath.c             |    1 -
 drivers/md/raid0.c                 |    1 -
 drivers/md/raid1.c                 |    1 -
 drivers/media/video/videodev.c     |    2 +-
 drivers/media/video/zoran_driver.c |    2 +-
 drivers/s390/char/tubio.h          |   18 ------------------
 drivers/usb/core/inode.c           |    1 -
 fs/afs/inode.c                     |    1 -
 fs/autofs4/inode.c                 |    1 -
 fs/devfs/base.c                    |    5 ++---
 fs/hfs/inode.c                     |    1 -
 fs/hugetlbfs/inode.c               |    1 -
 fs/jffs/inode-v23.c                |    1 -
 fs/jffs2/fs.c                      |    2 +-
 fs/ncpfs/inode.c                   |    1 -
 fs/ramfs/inode.c                   |    1 -
 fs/romfs/inode.c                   |    6 ++----
 fs/sysfs/inode.c                   |    1 -
 mm/shmem.c                         |    1 -
 34 files changed, 23 insertions(+), 135 deletions(-)

diff -puN arch/ia64/sn/io/hwgfs/ramfs.c~large-dev_t-2nd-01 arch/ia64/sn/io/hwgfs/ramfs.c
--- 25/arch/ia64/sn/io/hwgfs/ramfs.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/arch/ia64/sn/io/hwgfs/ramfs.c	2003-09-05 00:49:25.000000000 -0700
@@ -56,7 +56,7 @@ static struct backing_dev_info hwgfs_bac
 	.memory_backed  = 1,	/* Does not contribute to dirty memory */
 };
 
-struct inode *hwgfs_get_inode(struct super_block *sb, int mode, dev_t dev)
+static struct inode *hwgfs_get_inode(struct super_block *sb, int mode, dev_t dev)
 {
 	struct inode * inode = new_inode(sb);
 
@@ -66,7 +66,6 @@ struct inode *hwgfs_get_inode(struct sup
 		inode->i_gid = current->fsgid;
 		inode->i_blksize = PAGE_CACHE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_mapping->a_ops = &hwgfs_aops;
 		inode->i_mapping->backing_dev_info = &hwgfs_backing_dev_info;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
diff -puN arch/m68k/atari/stram.c~large-dev_t-2nd-01 arch/m68k/atari/stram.c
--- 25/arch/m68k/atari/stram.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/arch/m68k/atari/stram.c	2003-09-05 00:49:25.000000000 -0700
@@ -34,12 +34,6 @@
 
 #include <linux/swapops.h>
 
-#ifdef CONFIG_STRAM_SWAP
-#define MAJOR_NR    Z2RAM_MAJOR
-#define do_z2_request do_stram_request
-#define DEVICE_NR(device) (minor(device))
-#endif
-
 #undef DEBUG
 
 #ifdef DEBUG
diff -puN arch/ppc/platforms/pmac_setup.c~large-dev_t-2nd-01 arch/ppc/platforms/pmac_setup.c
--- 25/arch/ppc/platforms/pmac_setup.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/pmac_setup.c	2003-09-05 00:49:25.000000000 -0700
@@ -399,7 +399,7 @@ note_scsi_host(struct device_node *node,
 #endif
 
 #if defined(CONFIG_BLK_DEV_IDE) && defined(CONFIG_BLK_DEV_IDE_PMAC)
-dev_t __init
+static dev_t __init
 find_ide_boot(void)
 {
 	char *p;
diff -puN arch/um/drivers/ubd_kern.c~large-dev_t-2nd-01 arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2003-09-05 00:49:25.000000000 -0700
@@ -55,9 +55,6 @@ static int ubd_ioctl(struct inode * inod
 		     unsigned int cmd, unsigned long arg);
 
 #define MAX_DEV (8)
-#define MAX_MINOR (MAX_DEV << UBD_SHIFT)
-
-#define DEVICE_NR(n) (minor(n) >> UBD_SHIFT)
 
 static struct block_device_operations ubd_blops = {
         .owner		= THIS_MODULE,
diff -puN drivers/base/map.c~large-dev_t-2nd-01 drivers/base/map.c
--- 25/drivers/base/map.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/base/map.c	2003-09-05 00:49:25.000000000 -0700
@@ -28,11 +28,6 @@ struct kobj_map {
 	struct rw_semaphore *sem;
 };
 
-static inline int dev_to_index(dev_t dev)
-{
-	return MAJOR(dev) % 255;
-}
-
 int kobj_map(struct kobj_map *domain, dev_t dev, unsigned long range,
 	     struct module *module, kobj_probe_t *probe,
 	     int (*lock)(dev_t, void *), void *data)
diff -puN drivers/block/DAC960.h~large-dev_t-2nd-01 drivers/block/DAC960.h
--- 25/drivers/block/DAC960.h~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/block/DAC960.h	2003-09-05 00:49:25.000000000 -0700
@@ -2063,38 +2063,6 @@ extern int DAC960_KernelIOCTL(unsigned i
 #define DAC960_MaxPartitions			8
 #define DAC960_MaxPartitionsBits		3
 
-
-/*
-  Define macros to extract the Controller Number, Logical Drive Number, and
-  Partition Number from a Kernel Device, and to construct a Major Number, Minor
-  Number, and Kernel Device from the Controller Number, Logical Drive Number,
-  and Partition Number.  There is one Major Number assigned to each Controller.
-  The associated Minor Number is divided into the Logical Drive Number and
-  Partition Number.
-*/
-
-#define DAC960_ControllerNumber(Device) \
-  (major(Device) - DAC960_MAJOR)
-
-#define DAC960_LogicalDriveNumber(Device) \
-  (minor(Device) >> DAC960_MaxPartitionsBits)
-
-#define DAC960_MajorNumber(ControllerNumber) \
-  (DAC960_MAJOR + (ControllerNumber))
-
-#define DAC960_MinorNumber(LogicalDriveNumber, PartitionNumber) \
-   (((LogicalDriveNumber) << DAC960_MaxPartitionsBits) | (PartitionNumber))
-
-#define DAC960_MinorCount			(DAC960_MaxLogicalDrives \
-						 * DAC960_MaxPartitions)
-
-#define DAC960_KernelDevice(ControllerNumber,				       \
-			    LogicalDriveNumber,				       \
-			    PartitionNumber)				       \
-   mk_kdev(DAC960_MajorNumber(ControllerNumber),				       \
-	 DAC960_MinorNumber(LogicalDriveNumber, PartitionNumber))
-
-
 /*
   Define the DAC960 Controller fixed Block Size and Block Size Bits.
 */
diff -puN drivers/char/drm/drmP.h~large-dev_t-2nd-01 drivers/char/drm/drmP.h
--- 25/drivers/char/drm/drmP.h~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/char/drm/drmP.h	2003-09-05 00:49:25.000000000 -0700
@@ -158,10 +158,6 @@
 /** \name Backward compatibility section */
 /*@{*/
 
-#ifndef minor
-#define minor(x) MINOR((x))
-#endif
-
 #ifndef MODULE_LICENSE
 #define MODULE_LICENSE(x) 
 #endif
diff -puN drivers/char/rocket.c~large-dev_t-2nd-01 drivers/char/rocket.c
--- 25/drivers/char/rocket.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/char/rocket.c	2003-09-05 00:49:25.000000000 -0700
@@ -1460,17 +1460,6 @@ static int rp_ioctl(struct tty_struct *t
 	return 0;
 }
 
-#if (defined(ROCKET_DEBUG_FLOW) || defined(ROCKET_DEBUG_THROTTLE))
-static char *rp_tty_name(struct tty_struct *tty, char *buf)
-{
-	if (tty)
-		sprintf(buf, "%s%d", TTY_DRIVER_NAME(tty), MINOR(tty->device) - TTY_DRIVER_MINOR_START(tty) + TTY_DRIVER_NAME_BASE);
-	else
-		strcpy(buf, "NULL tty");
-	return buf;
-}
-#endif
-
 static void rp_send_xchar(struct tty_struct *tty, char ch)
 {
 	struct r_port *info = (struct r_port *) tty->driver_data;
@@ -1490,10 +1479,9 @@ static void rp_throttle(struct tty_struc
 {
 	struct r_port *info = (struct r_port *) tty->driver_data;
 	CHANNEL_t *cp;
-#ifdef ROCKET_DEBUG_THROTTLE
-	char buf[64];
 
-	printk(KERN_INFO "throttle %s: %d....\n", rp_tty_name(tty, buf),
+#ifdef ROCKET_DEBUG_THROTTLE
+	printk(KERN_INFO "throttle %s: %d....\n", tty->name,
 	       tty->ldisc.chars_in_buffer(tty));
 #endif
 
@@ -1512,9 +1500,7 @@ static void rp_unthrottle(struct tty_str
 	struct r_port *info = (struct r_port *) tty->driver_data;
 	CHANNEL_t *cp;
 #ifdef ROCKET_DEBUG_THROTTLE
-	char buf[64];
-
-	printk(KERN_INFO "unthrottle %s: %d....\n", rp_tty_name(tty, buf),
+	printk(KERN_INFO "unthrottle %s: %d....\n", tty->name,
 	       tty->ldisc.chars_in_buffer(tty));
 #endif
 
@@ -1539,10 +1525,9 @@ static void rp_unthrottle(struct tty_str
 static void rp_stop(struct tty_struct *tty)
 {
 	struct r_port *info = (struct r_port *) tty->driver_data;
-#ifdef ROCKET_DEBUG_FLOW
-	char buf[64];
 
-	printk(KERN_INFO "stop %s: %d %d....\n", rp_tty_name(tty, buf),
+#ifdef ROCKET_DEBUG_FLOW
+	printk(KERN_INFO "stop %s: %d %d....\n", tty->name,
 	       info->xmit_cnt, info->xmit_fifo_room);
 #endif
 
@@ -1556,10 +1541,9 @@ static void rp_stop(struct tty_struct *t
 static void rp_start(struct tty_struct *tty)
 {
 	struct r_port *info = (struct r_port *) tty->driver_data;
-#ifdef ROCKET_DEBUG_FLOW
-	char buf[64];
 
-	printk(KERN_INFO "start %s: %d %d....\n", rp_tty_name(tty, buf),
+#ifdef ROCKET_DEBUG_FLOW
+	printk(KERN_INFO "start %s: %d %d....\n", tty->name,
 	       info->xmit_cnt, info->xmit_fifo_room);
 #endif
 
diff -puN drivers/char/tipar.c~large-dev_t-2nd-01 drivers/char/tipar.c
--- 25/drivers/char/tipar.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/char/tipar.c	2003-09-05 00:49:25.000000000 -0700
@@ -74,7 +74,6 @@
 
 #define VERSION(ver,rel,seq) (((ver)<<16) | ((rel)<<8) | (seq))
 #if LINUX_VERSION_CODE < VERSION(2,5,0)
-# define minor(x) MINOR(x)
 # define need_resched() (current->need_resched)
 #endif
 
diff -puN drivers/char/tty_io.c~large-dev_t-2nd-01 drivers/char/tty_io.c
--- 25/drivers/char/tty_io.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/char/tty_io.c	2003-09-05 00:49:25.000000000 -0700
@@ -2140,7 +2140,7 @@ error:
 	kfree(tty_dev);
 }
 
-void tty_remove_class_device(dev_t dev)
+static void tty_remove_class_device(dev_t dev)
 {
 	struct tty_dev *tty_dev = NULL;
 	struct list_head *tmp;
@@ -2149,19 +2149,15 @@ void tty_remove_class_device(dev_t dev)
 	spin_lock(&tty_dev_list_lock);
 	list_for_each (tmp, &tty_dev_list) {
 		tty_dev = list_entry(tmp, struct tty_dev, node);
-		if ((MAJOR(tty_dev->dev) == MAJOR(dev)) &&
-		    (MINOR(tty_dev->dev) == MINOR(dev))) {
+		if (tty_dev->dev == dev) {
+			list_del(&tty_dev->node);
 			found = 1;
 			break;
 		}
 	}
-	if (found) {
-		list_del(&tty_dev->node);
-		spin_unlock(&tty_dev_list_lock);
+	spin_unlock(&tty_dev_list_lock);
+	if (found)
 		class_device_unregister(&tty_dev->class_dev);
-	} else {
-		spin_unlock(&tty_dev_list_lock);
-	}
 }
 
 /**
diff -puN drivers/ieee1394/ieee1394_types.h~large-dev_t-2nd-01 drivers/ieee1394/ieee1394_types.h
--- 25/drivers/ieee1394/ieee1394_types.h~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ieee1394_types.h	2003-09-05 00:49:25.000000000 -0700
@@ -16,10 +16,6 @@
 
 /* The great kdev_t changeover in 2.5.x */
 #include <linux/kdev_t.h>
-#ifndef minor
-#define minor(dev) MINOR(dev)
-#endif
-
 
 /* Transaction Label handling */
 struct hpsb_tlabel_pool {
diff -puN drivers/md/dm-ioctl-v1.c~large-dev_t-2nd-01 drivers/md/dm-ioctl-v1.c
--- 25/drivers/md/dm-ioctl-v1.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl-v1.c	2003-09-05 00:49:25.000000000 -0700
@@ -577,7 +577,7 @@ static int create(struct dm_ioctl *param
 	}
 
 	if (param->flags & DM_PERSISTENT_DEV_FLAG)
-		r = dm_create_with_minor(minor(to_kdev_t(param->dev)), &md);
+		r = dm_create_with_minor(MINOR(param->dev), &md);
 	else
 		r = dm_create(&md);
 
diff -puN drivers/md/dm-ioctl-v4.c~large-dev_t-2nd-01 drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	2003-09-05 00:49:25.000000000 -0700
@@ -481,7 +481,7 @@ static int dev_create(struct dm_ioctl *p
 		return r;
 
 	if (param->flags & DM_PERSISTENT_DEV_FLAG)
-		r = dm_create_with_minor(minor(to_kdev_t(param->dev)), &md);
+		r = dm_create_with_minor(MINOR(param->dev), &md);
 	else
 		r = dm_create(&md);
 
diff -puN drivers/md/linear.c~large-dev_t-2nd-01 drivers/md/linear.c
--- 25/drivers/md/linear.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/linear.c	2003-09-05 00:49:25.000000000 -0700
@@ -25,7 +25,6 @@
 #define MAJOR_NR MD_MAJOR
 #define MD_DRIVER
 #define MD_PERSONALITY
-#define DEVICE_NR(device) (minor(device))
 
 /*
  * find which device holds a particular offset 
diff -puN drivers/md/md.c~large-dev_t-2nd-01 drivers/md/md.c
--- 25/drivers/md/md.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/md.c	2003-09-05 00:49:25.000000000 -0700
@@ -50,7 +50,6 @@
 
 #define MAJOR_NR MD_MAJOR
 #define MD_DRIVER
-#define DEVICE_NR(device) (minor(device))
 
 #define DEBUG 0
 #define dprintk(x...) ((void)(DEBUG && printk(x)))
diff -puN drivers/md/multipath.c~large-dev_t-2nd-01 drivers/md/multipath.c
--- 25/drivers/md/multipath.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/multipath.c	2003-09-05 00:49:25.000000000 -0700
@@ -29,7 +29,6 @@
 #define MAJOR_NR MD_MAJOR
 #define MD_DRIVER
 #define MD_PERSONALITY
-#define DEVICE_NR(device) (minor(device))
 
 #define MAX_WORK_PER_DISK 128
 
diff -puN drivers/md/raid0.c~large-dev_t-2nd-01 drivers/md/raid0.c
--- 25/drivers/md/raid0.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/raid0.c	2003-09-05 00:49:25.000000000 -0700
@@ -24,7 +24,6 @@
 #define MAJOR_NR MD_MAJOR
 #define MD_DRIVER
 #define MD_PERSONALITY
-#define DEVICE_NR(device) (minor(device))
 
 static int create_strip_zones (mddev_t *mddev)
 {
diff -puN drivers/md/raid1.c~large-dev_t-2nd-01 drivers/md/raid1.c
--- 25/drivers/md/raid1.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/md/raid1.c	2003-09-05 00:49:25.000000000 -0700
@@ -27,7 +27,6 @@
 #define MAJOR_NR MD_MAJOR
 #define MD_DRIVER
 #define MD_PERSONALITY
-#define DEVICE_NR(device) (minor(device))
 
 /*
  * Number of guaranteed r1bios in case of extreme VM load:
diff -puN drivers/media/video/videodev.c~large-dev_t-2nd-01 drivers/media/video/videodev.c
--- 25/drivers/media/video/videodev.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/media/video/videodev.c	2003-09-05 00:49:25.000000000 -0700
@@ -52,7 +52,7 @@ static ssize_t show_dev(struct class_dev
 {
 	struct video_device *vfd = container_of(cd, struct video_device, class_dev);
 	dev_t dev = MKDEV(VIDEO_MAJOR, vfd->minor);
-	return sprintf(buf,"%04x\n",(int)dev);
+	return sprintf(buf,"%04x\n",old_encode_dev(dev));
 }
 
 static CLASS_DEVICE_ATTR(name, S_IRUGO, show_name, NULL);
diff -puN drivers/media/video/zoran_driver.c~large-dev_t-2nd-01 drivers/media/video/zoran_driver.c
--- 25/drivers/media/video/zoran_driver.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/media/video/zoran_driver.c	2003-09-05 00:49:25.000000000 -0700
@@ -1265,7 +1265,7 @@ static int
 zoran_open (struct inode *inode,
 	    struct file  *file)
 {
-	unsigned int minor = minor(inode->i_rdev);
+	unsigned int minor = iminor(inode);
 	struct zoran *zr = NULL;
 	struct zoran_fh *fh;
 	int i, res, first_open = 0, have_module_locks = 0;
diff -puN drivers/s390/char/tubio.h~large-dev_t-2nd-01 drivers/s390/char/tubio.h
--- 25/drivers/s390/char/tubio.h~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/s390/char/tubio.h	2003-09-05 00:49:25.000000000 -0700
@@ -158,7 +158,6 @@ enum tubwhat {          /* echo what= pr
 
 
 #define TUBMAXMINS      256
-#define TUB_DEV MKDEV(IBM_FS3270_MAJ, 0)        /* Generic /dev/3270/tub */
 #define _GEOM_ROWS 24
 #define _GEOM_COLS 80
 #define GEOM_ROWS (tubp->geom_rows)
@@ -294,23 +293,6 @@ typedef struct tub_s {
 #define	TUB_UE_BUSY	0x0800
 #define	TUB_INPUT_HACK	0x1000		/* Early init of command line */
 
-#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,3,0))
-#define	S390_CONSOLE_DEV MKDEV(TTY_MAJOR, 64)
-#define tub_major(x) MAJOR(x)
-#define tub_minor(x) MINOR(x)
-#define tub_mkdev(x, y) MKDEV(x, y)
-#elif (LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0))
-#define	S390_CONSOLE_DEV MKDEV(TTYAUX_MAJOR, 1)
-#define tub_major(x) MAJOR(x)
-#define tub_minor(x) MINOR(x)
-#define tub_mkdev(x, y) MKDEV(x, y)
-#else
-#define S390_CONSOLE_DEV mk_kdev(TTYAUX_MAJOR, 1)
-#define tub_major(x) major(x)
-#define tub_minor(x) minor(x)
-#define tub_mkdev(x, y) mk_kdev(x, y)
-#endif
-
 /*
  * Extra stuff for 3270 console support
  */
diff -puN drivers/usb/core/inode.c~large-dev_t-2nd-01 drivers/usb/core/inode.c
--- 25/drivers/usb/core/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/drivers/usb/core/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -152,7 +152,6 @@ static struct inode *usbfs_get_inode (st
 		inode->i_gid = current->fsgid;
 		inode->i_blksize = PAGE_CACHE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
 		switch (mode & S_IFMT) {
 		default:
diff -puN fs/afs/inode.c~large-dev_t-2nd-01 fs/afs/inode.c
--- 25/fs/afs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/afs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -68,7 +68,6 @@ static int afs_inode_map_status(afs_vnod
 	inode->i_nlink		= vnode->status.nlink;
 	inode->i_uid		= vnode->status.owner;
 	inode->i_gid		= 0;
-	inode->i_rdev		= NODEV;
 	inode->i_size		= vnode->status.size;
 	inode->i_atime.tv_sec		= inode->i_mtime.tv_sec = inode->i_ctime.tv_sec = vnode->status.mtime_server;
 	inode->i_atime.tv_nsec = 
diff -puN fs/autofs4/inode.c~large-dev_t-2nd-01 fs/autofs4/inode.c
--- 25/fs/autofs4/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/autofs4/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -298,7 +298,6 @@ struct inode *autofs4_get_inode(struct s
 	}
 	inode->i_blksize = PAGE_CACHE_SIZE;
 	inode->i_blocks = 0;
-	inode->i_rdev = NODEV;
 	inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
 
 	if (S_ISDIR(inf->mode)) {
diff -puN fs/devfs/base.c~large-dev_t-2nd-01 fs/devfs/base.c
--- 25/fs/devfs/base.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/devfs/base.c	2003-09-05 00:49:25.000000000 -0700
@@ -2010,7 +2010,6 @@ static struct inode *_devfs_get_vfs_inod
     inode->i_blksize = FAKE_BLOCK_SIZE;
     inode->i_op = &devfs_iops;
     inode->i_fop = &devfs_fops;
-    inode->i_rdev = NODEV;
     if ( S_ISCHR (de->mode) )
     {
 	inode->i_rdev = to_kdev_t(de->u.cdev.dev);
@@ -2494,8 +2493,8 @@ static int devfs_mknod (struct inode *di
     struct devfs_entry *parent, *de;
     struct inode *inode;
 
-    DPRINTK (DEBUG_I_MKNOD, "(%s): mode: 0%o  dev: %d\n",
-	     dentry->d_name.name, mode, rdev);
+    DPRINTK (DEBUG_I_MKNOD, "(%s): mode: 0%o  dev: %u:%u\n",
+	     dentry->d_name.name, mode, MAJOR(rdev), MINOR(rdev));
     parent = get_devfs_entry_from_vfs_inode (dir);
     if (parent == NULL) return -ENOENT;
     de = _devfs_alloc_entry (dentry->d_name.name, dentry->d_name.len, mode);
diff -puN fs/hfs/inode.c~large-dev_t-2nd-01 fs/hfs/inode.c
--- 25/fs/hfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/hfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -322,7 +322,6 @@ struct inode *hfs_iget(struct hfs_cat_en
 		/* Initialize the inode */
 		struct hfs_sb_info *hsb = HFS_SB(sb);
 
-		inode->i_rdev = NODEV;
 		inode->i_ctime.tv_sec = inode->i_atime.tv_sec = inode->i_mtime.tv_sec =
 					hfs_m_to_utime(entry->modify_date);
 		inode->i_ctime.tv_nsec = 0;
diff -puN fs/hugetlbfs/inode.c~large-dev_t-2nd-01 fs/hugetlbfs/inode.c
--- 25/fs/hugetlbfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/hugetlbfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -406,7 +406,6 @@ static struct inode *hugetlbfs_get_inode
 		inode->i_gid = gid;
 		inode->i_blksize = HPAGE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_mapping->a_ops = &hugetlbfs_aops;
 		inode->i_mapping->backing_dev_info =&hugetlbfs_backing_dev_info;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
diff -puN fs/jffs2/fs.c~large-dev_t-2nd-01 fs/jffs2/fs.c
--- 25/fs/jffs2/fs.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/jffs2/fs.c	2003-09-05 00:49:25.000000000 -0700
@@ -147,7 +147,7 @@ void jffs2_read_inode (struct inode *ino
 	case S_IFSOCK:
 	case S_IFIFO:
 		inode->i_op = &jffs2_file_inode_operations;
-		init_special_inode(inode, inode->i_mode, kdev_t_to_nr(mk_kdev(je16_to_cpu(rdev)>>8, je16_to_cpu(rdev)&0xff)));
+		init_special_inode(inode, inode->i_mode, MKDEV(je16_to_cpu(rdev)>>8, je16_to_cpu(rdev)&0xff));
 		break;
 
 	default:
diff -puN fs/jffs/inode-v23.c~large-dev_t-2nd-01 fs/jffs/inode-v23.c
--- 25/fs/jffs/inode-v23.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/jffs/inode-v23.c	2003-09-05 00:49:25.000000000 -0700
@@ -362,7 +362,6 @@ jffs_new_inode(const struct inode * dir,
 	inode->i_nlink = raw_inode->nlink;
 	inode->i_uid = raw_inode->uid;
 	inode->i_gid = raw_inode->gid;
-	inode->i_rdev = NODEV;
 	inode->i_size = raw_inode->dsize;
 	inode->i_atime.tv_sec = raw_inode->atime;
 	inode->i_mtime.tv_sec = raw_inode->mtime;
diff -puN fs/ncpfs/inode.c~large-dev_t-2nd-01 fs/ncpfs/inode.c
--- 25/fs/ncpfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/ncpfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -220,7 +220,6 @@ static void ncp_set_attr(struct inode *i
 	inode->i_nlink = 1;
 	inode->i_uid = server->m.uid;
 	inode->i_gid = server->m.gid;
-	inode->i_rdev = NODEV;
 	inode->i_blksize = NCP_BLOCK_SIZE;
 
 	ncp_update_dates(inode, &nwinfo->i);
diff -puN fs/ramfs/inode.c~large-dev_t-2nd-01 fs/ramfs/inode.c
--- 25/fs/ramfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/ramfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -58,7 +58,6 @@ static struct inode *ramfs_get_inode(str
 		inode->i_gid = current->fsgid;
 		inode->i_blksize = PAGE_CACHE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_mapping->a_ops = &ramfs_aops;
 		inode->i_mapping->backing_dev_info = &ramfs_backing_dev_info;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
diff -puN fs/romfs/inode.c~large-dev_t-2nd-01 fs/romfs/inode.c
--- 25/fs/romfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/romfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -542,10 +542,8 @@ romfs_read_inode(struct inode *i)
 		default:
 			/* depending on MBZ for sock/fifos */
 			nextfh = ntohl(ri.spec);
-			/* convert back and forth for typechecking and
-			 * source tagging */
-			nextfh = kdev_t_to_nr(mk_kdev(nextfh>>16,nextfh&0xffff));
-			init_special_inode(i, ino, nextfh);
+			init_special_inode(i, ino,
+					MKDEV(nextfh>>16,nextfh&0xffff));
 	}
 }
 
diff -puN fs/sysfs/inode.c~large-dev_t-2nd-01 fs/sysfs/inode.c
--- 25/fs/sysfs/inode.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/fs/sysfs/inode.c	2003-09-05 00:49:25.000000000 -0700
@@ -33,7 +33,6 @@ struct inode * sysfs_new_inode(mode_t mo
 		inode->i_gid = current->fsgid;
 		inode->i_blksize = PAGE_CACHE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;
 		inode->i_mapping->a_ops = &sysfs_aops;
 		inode->i_mapping->backing_dev_info = &sysfs_backing_dev_info;
diff -puN mm/shmem.c~large-dev_t-2nd-01 mm/shmem.c
--- 25/mm/shmem.c~large-dev_t-2nd-01	2003-09-05 00:49:25.000000000 -0700
+++ 25-akpm/mm/shmem.c	2003-09-05 00:49:25.000000000 -0700
@@ -1040,7 +1040,6 @@ shmem_get_inode(struct super_block *sb, 
 		inode->i_gid = current->fsgid;
 		inode->i_blksize = PAGE_CACHE_SIZE;
 		inode->i_blocks = 0;
-		inode->i_rdev = NODEV;
 		inode->i_mapping->a_ops = &shmem_aops;
 		inode->i_mapping->backing_dev_info = &shmem_backing_dev_info;
 		inode->i_atime = inode->i_mtime = inode->i_ctime = CURRENT_TIME;

_
